package logic

import (
	"app.yhyue.com/moapp/jybase/common"
	"context"
	"github.com/zeromicro/go-zero/core/logx"
	"jyBXBase/api/internal/svc"
	"jyBXBase/api/internal/types"
	"jyBXBase/rpc/type/bxbase"
)

type GetLabelActionLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewGetLabelActionLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetLabelActionLogic {
	return &GetLabelActionLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *GetLabelActionLogic) GetLabelAction(req *types.GetLabelAction) (resp *types.CommonRes, err error) {
	res, err0 := l.svcCtx.Bxbase.GetLabelAction(l.ctx, &bxbase.GetLabelActionReq{
		UserId: req.UserId,
		AppId:  req.AppId,
	})
	if err0 != nil {
		return &types.CommonRes{
			Err_code: -1,
			Err_msg:  "错误",
			Data:     nil,
		}, nil
	}
	return &types.CommonRes{
		Err_code: common.IntAll(res.ErrCode),
		Err_msg:  res.ErrMsg,
		Data:     res.Labels,
	}, nil
}
